AjaxSupportTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.taglib.html.jsp.AjaxSupportTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxSupportTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.taglib.html.jsp.AjaxSupportTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AjaxSupport

    public class AjaxSupportTag

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:32 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `AJAX_SUPPORT_FACET`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AjaxSupportTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`protected java.lang.String` | `getFacetName()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAction(java.lang.String action)`
`void` | `setActionListener(java.lang.String actionListener)`
`void` | `setAjaxSingle(java.lang.String ajaxSingle)`
`void` | `setDisableDefault(java.lang.String ajaxType)`
`void` | `setEvent(java.lang.String event)`
`void` | `setImmediate(java.lang.String immediate)`
`void` | `setLimitToList(java.lang.String limitToList)`
`void` | `setOncomplete(java.lang.String oncomplete)`
`protected void` | `setParentProperties(UIAjaxSupport uiComponent)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setReRender(java.lang.String ajaxId)`
`void` | `setStatus(java.lang.String status)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_SUPPORT_FACET

    public static final java.lang.String AJAX_SUPPORT_FACET

See Also:
  Constant Field Values

Constructor Detail

### AjaxSupportTag

    public AjaxSupportTag()

Method Detail

### setDisableDefault

    public void setDisableDefault(java.lang.String ajaxType)

  Parameters:
    `type` - The type to set.

### setReRender

    public void setReRender(java.lang.String ajaxId)

  Parameters:
    `reRender` - The targetId to set.

### setEvent

    public void setEvent(java.lang.String event)

  Parameters:
    `event` - The event to set.

### setOncomplete

    public void setOncomplete(java.lang.String oncomplete)

  Parameters:
    `oncomplete` - The oncomplete to set.

### setStatus

    public void setStatus(java.lang.String status)

  Parameters:
    `status` - The status to set.

### setLimitToList

    public void setLimitToList(java.lang.String limitToList)

  Parameters:
    `limitToList` - The submitForm to set.

### setAction

    public void setAction(java.lang.String action)

  Parameters:
    `action` - The action to set.

### setActionListener

    public void setActionListener(java.lang.String actionListener)

  Parameters:
    `actionListener` - The actionListener to set.

### setParentProperties

    protected void setParentProperties(UIAjaxSupport uiComponent)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

### setValue

    public void setValue(java.lang.String value)

  Overrides:
    `setValue` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`
  Parameters:
    `value` - The value to set.

### setImmediate

    public void setImmediate(java.lang.String immediate)

  Parameters:
    `immediate` - The immediate to set.

### setAjaxSingle

    public void setAjaxSingle(java.lang.String ajaxSingle)

  Parameters:
    `ajaxSingle` - The ajaxSingle to set.

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### getFacetName

    protected java.lang.String getFacetName()

  Overrides:
    `getFacetName` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.